org.apache.cassandra.net

## Interface MessagingServiceMBean

All Known Implementing Classes:
  MessagingService

    public interface MessagingServiceMBean

MBean exposing MessagingService metrics. - OutboundConnectionPools - Command/Response - Pending/Completed Tasks

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Map<java.lang.String,java.lang.Integer>` `getDroppedMessages()` dropped message counts for server lifetime
`java.util.Map<java.lang.String,java.lang.Long>` `getGossipMessageCompletedTasks()` Completed tasks for gossip message TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getGossipMessageDroppedTasks()` Dropped tasks for gossip message TCP Connections
`java.util.Map<java.lang.String,java.lang.Integer>` `getGossipMessagePendingTasks()` Pending tasks for gossip message TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getLargeMessageCompletedTasks()` Completed tasks for large message) TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getLargeMessageDroppedTasks()` Dropped tasks for large message TCP Connections
`java.util.Map<java.lang.String,java.lang.Integer>` `getLargeMessagePendingTasks()` Pending tasks for large message TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getSmallMessageCompletedTasks()` Completed tasks for small message TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getSmallMessageDroppedTasks()` Dropped tasks for small message TCP Connections
`java.util.Map<java.lang.String,java.lang.Integer>` `getSmallMessagePendingTasks()` Pending tasks for small message TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getTimeoutsPerHost()` Number of timeouts per host
`long` `getTotalTimeouts()` Total number of timeouts happened on this node
`int` `getVersion(java.lang.String address)`

### Method Detail

#### getLargeMessagePendingTasks

    java.util.Map<java.lang.String,java.lang.Integer> getLargeMessagePendingTasks()

Pending tasks for large message TCP Connections

#### getLargeMessageCompletedTasks

    java.util.Map<java.lang.String,java.lang.Long> getLargeMessageCompletedTasks()

Completed tasks for large message) TCP Connections

#### getLargeMessageDroppedTasks

    java.util.Map<java.lang.String,java.lang.Long> getLargeMessageDroppedTasks()

Dropped tasks for large message TCP Connections

#### getSmallMessagePendingTasks

    java.util.Map<java.lang.String,java.lang.Integer> getSmallMessagePendingTasks()

Pending tasks for small message TCP Connections

#### getSmallMessageCompletedTasks

    java.util.Map<java.lang.String,java.lang.Long> getSmallMessageCompletedTasks()

Completed tasks for small message TCP Connections

#### getSmallMessageDroppedTasks

    java.util.Map<java.lang.String,java.lang.Long> getSmallMessageDroppedTasks()

Dropped tasks for small message TCP Connections

#### getGossipMessagePendingTasks

    java.util.Map<java.lang.String,java.lang.Integer> getGossipMessagePendingTasks()

Pending tasks for gossip message TCP Connections

#### getGossipMessageCompletedTasks

    java.util.Map<java.lang.String,java.lang.Long> getGossipMessageCompletedTasks()

Completed tasks for gossip message TCP Connections

#### getGossipMessageDroppedTasks

    java.util.Map<java.lang.String,java.lang.Long> getGossipMessageDroppedTasks()

Dropped tasks for gossip message TCP Connections

#### getDroppedMessages

    java.util.Map<java.lang.String,java.lang.Integer> getDroppedMessages()

dropped message counts for server lifetime

#### getTotalTimeouts

    long getTotalTimeouts()

Total number of timeouts happened on this node

#### getTimeoutsPerHost

    java.util.Map<java.lang.String,java.lang.Long> getTimeoutsPerHost()

Number of timeouts per host

#### getVersion

    int getVersion(java.lang.String address)
            throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`